Bug 106753 - Perl Backend failes compilation.
Perl Backend failes compilation.
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-10 03:47 EDT by Alexey Zilber
Modified: 2014-08-31 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:23:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The specfile in question... (31.29 KB, application/octet-stream)
2003-10-10 03:49 EDT, Alexey Zilber
no flags Details

  None (edit)
Description Alexey Zilber 2003-10-10 03:47:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5) Gecko/20030916

Description of problem:
`/usr/src/redhat/BUILD/openldap-2.1.22/build-servers/servers/slapd/back-
> perl' make[2]: *** [.backend] Error 1
> make[2]: Leaving directory
> `/usr/src/redhat/BUILD/openldap-2.1.22/build-servers/servers/slapd'
> make[1]: *** [all-common] Error 1
> make[1]: Leaving directory
> `/usr/src/redhat/BUILD/openldap-2.1.22/build-servers/servers'
> make: *** [all-common] Error 1
> error: Bad exit status from /var/tmp/rpm-tmp.74798
> (%build)

When --enable-perl is added to the build-servers section of the spec file.

Version-Release number of selected component (if applicable):
openldap-2.1.22-5

How reproducible:
Always

Steps to Reproduce:
1. add --enable-perl to spec file (build-servers) section.
2. rpmbuild -v -ba <specfile>
3.
    

Actual Results:  Build error.

Expected Results:  A clean compilation?

Additional info:

The compilation target is i586.  Using the following gcc compiler options:

-O2 -fthread-jumps -frerun-loop-opt -fstrength-reduce -mmmx -g -march=i586
Comment 1 Alexey Zilber 2003-10-10 03:49:45 EDT
Created attachment 95094 [details]
The specfile in question...
Comment 2 Bill Nottingham 2006-08-04 17:33:05 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2007-01-02 13:23:42 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.